Page MenuHomePhabricator

[ObjC][ARC] Use operand bundle "clang.arc.attachedcall" on x86-64
ClosedPublic

Authored by ahatanak on Oct 7 2021, 12:02 PM.

Details

Summary

https://reviews.llvm.org/D92808 made clang use the operand bundle instead of emitting retainRV/claimRV calls on arm64. This patch makes changes to clang that are needed to use the operand bundle on x86-64.

Diff Detail

Event Timeline

ahatanak created this revision.Oct 7 2021, 12:02 PM
ahatanak requested review of this revision.Oct 7 2021, 12:02 PM
rjmccall added inline comments.Oct 7 2021, 2:39 PM
clang/lib/CodeGen/CGObjC.cpp
2357–2360

Please leave a comment saying that we should do this on all targets, and the limiting factor is that it needs specific support from the backend.

Otherwise, this patch LGTM.

ahatanak updated this revision to Diff 378868.Oct 11 2021, 9:16 PM
ahatanak marked an inline comment as done.

Improve comment.

rjmccall accepted this revision.Oct 11 2021, 10:50 PM

Thanks, LGTM.

This revision is now accepted and ready to land.Oct 11 2021, 10:50 PM
This revision was landed with ongoing or failed builds.Nov 8 2021, 6:40 PM
This revision was automatically updated to reflect the committed changes.